Author Topic: Error activating Maxmind database  (Read 1599 times)

0 Members and 1 Guest are viewing this topic.

pepsix

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Error activating Maxmind database
« on: August 28, 2012, 07:21:18 AM »
i want to activate maxmind in 1.7.50 under "advanced" but all i get there is:

StatComm Settings Options
User Agent String Database

and nothing more. when i downgrade back to 1.7.31 for example (or newer) everything is fine. updating to 1.7.5 the problem is back again.

forumadmin

  • Administrator
  • Jr. Member
  • *****
  • Posts: 92
  • Karma: +1/-0
    • View Profile
    • Wordpress Ready
Re: Error activating Maxmind database
« Reply #1 on: August 29, 2012, 09:52:20 AM »
Hi pepsix,

It seems strange. I'm testing the plugin against 9 different sites and I was unable to reproduce your scenario.
I think the problem is related with the latest changes, but no changes were made affecting Maxmind functionality.

Well, there is one. I added an extra control when Apache lacks the Multibyte String Extension. On that scenario, GeoIplocation can't run, since it depends on that extension, and the plugin will dump an error message.
The 1.7.50 fix should prevent users when this extension is missing. Even though, this wouldn't affect Maxmind functionality.
There is a explanation on this issue on the following topic Spy Option

Thanks for your comment on that matter. I'm currently checking other reasons for this behavior, and I let you know shortly.
Any other info you can provide would be very useful. Thank you.